## lua5.1 5.1.4

=== debian/changelog ===
lua5.1 (5.1.4-12) unstable; urgency=low

  * Provide liblua5.1-c++.so and lua5.1-c++.pc to make it possible to C++
    programs to link against Lua and use the C++ exception mecanism.
    (Closes: #560139)
  * Add lua patch 5.1.4-4 fixing all known bugs of lua 5.1.4 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 25 Dec 2011 20:15:03 +0100

lua5.1 (5.1.4-11) unstable; urgency=low

  * Provides: lua, as lua50 does 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 07 Dec 2011 21:27:02 +0100

lua5.1 (5.1.4-10) unstable; urgency=low

  * Use -lpthread on lua5.1 only on hurd.

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 25 Jul 2011 10:15:30 +0200

lua5.1 (5.1.4-9) unstable; urgency=low

  * Use -lpthread on hurd also for lua5.1, and not only liblua5.1

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 25 Jul 2011 00:24:09 +0200

lua5.1 (5.1.4-8) unstable; urgency=low

  * cosmetic change to rules 
  * LDFLAGS=-lpthread on hurd, to allow to dlopen libs linked with pthreads 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 24 Jul 2011 21:59:46 +0200

lua5.1 (5.1.4-7) unstable; urgency=low

  * Fixed dh_installdocs target for dpkg-buildpackage -B

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 12:42:45 +0200

lua5.1 (5.1.4-6) unstable; urgency=low

  * Switch to source-format 3.0 (quilt) 
  * Switch from CDBS to dh, thanks for all the fish CDBS!
  * Muti-Arch compatibility
  * Removed .la file and updated examples accordingly
  * Fixed flags in .pc file (Closes: #497942)
  * Added upstream patch-lua-5.1.4-3 (Closes: #586552)
  * Better short descriptions (Closes: #597081)
  * Update Standards-Version to 3.9.2 (no changes)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 19 Jul 2011 16:06:11 +0200

lua5.1 (5.1.4-5) unstable; urgency=low

  * Fixed #include directives and calls to luaopen_* in the examples. 
    Thanks Mike Pall for reporting that (private mail).

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 05 Nov 2009 20:44:38 +0100

lua5.1 (5.1.4-4) unstable; urgency=low

  * build-depend on libreadline-dev (and not libreadline5-dev) to
    help the transition to libreadline6 (Closes: #551162)
  * added README.source pointing to default dpatch README.source
  * made lintian happy build-depending on debhelper >= 5
  * updated standards-version to 3.8.3, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 16 Oct 2009 12:54:41 +0200

lua5.1 (5.1.4-3) unstable; urgency=low

  * added lua5.1-doc.doc-base Abstract: field.
  * -dbg package moved to section debug as suggested by lintian 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Apr 2009 13:06:23 +0200

lua5.1 (5.1.4-2) unstable; urgency=low

  * upload to unstable
  * updated standards version to 3.8.1 
  * added ${misc:Depends} to make lintian happy 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 15 Mar 2009 10:14:37 +0100

lua5.1 (5.1.4-1) experimental; urgency=low

  * New upstream bugfix release
  * Bumped version-standards to 3.8.0, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 03 Sep 2008 18:28:39 +0200

lua5.1 (5.1.3-1) unstable; urgency=low

  * New upstream release (bugfix only release)
  * Bumped version-standards to 3.7.3, no changes needed
  * Fixed Vcs-* fields in control
  * Added Homepage: field in control and removed hand-made links to the lua
    website
  * set priority of -dbg package to extra

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 26 Jan 2008 16:28:55 +0100

lua5.1 (5.1.2-4) unstable; urgency=low

  * Added dependency of liblua5.1-0-dbg on liblua5.1-0 (= ${binary:Version})
    as recommended by the developer reference section 6.7.9.
    This sould also prevent deborphan from considering it for removal (Closes: #446531).

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 14 Oct 2007 15:03:49 +0200

lua5.1 (5.1.2-3) unstable; urgency=low

  * Patch from upstream to fix assignement bug in lparser.c
    See: http://lua-users.org/lists/lua-l/2007-07/msg00617.html

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 01 Aug 2007 12:34:19 +0200

lua5.1 (5.1.2-2) unstable; urgency=low

  * Added -dbg package (Closes: #434815)
  * Made control file binNMU safe

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 27 Jul 2007 18:08:50 +0100

lua5.1 (5.1.2-1) unstable; urgency=low

  * New upstream release, lua5.1.2
  * Remove build workaround for fixed cdbs bug

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2007 20:26:49 +0200

lua5.1 (5.1.1-2) unstable; urgency=low

  * Added a proper watch file.
  * Fixed URL in copyright.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 10 Sep 2006 14:24:26 +0200

lua5.1 (5.1.1-1) unstable; urgency=low

  [ John V. Belmonte ]
  * New upstream version, lua5.1.1
  * Add README.Debian to all packages.
  * Small fix to example makefile.
  * Improvements to regression test.

  [ Enrico Tassi ]
  * Removed build-essential from Build-Depends (Closes: #366854)
  * Confirm Debian policy version 3.7.2.

 -- John V. Belmonte <jbelmonte@debian.org>  Tue, 13 Jun 2006 23:01:14 -0400

lua5.1 (5.1-1) unstable; urgency=low

  [ Enrico Tassi ]
  * New upstream release, lua5.1-final

  [ John V. Belmonte ]
  * Set lua and luac alternatives priority higher than other Lua packages.
  * Fix man page symlinks of alternatives.
  * Give up "liblua-?.so" variations in package.cpath.
  * Add package regression test.

 -- John V. Belmonte <jbelmonte@debian.org>  Sat, 18 Feb 2006 09:49:27 -0500

lua5.1 (5.0.103-1) unstable; urgency=low

  [ John V. Belmonte ]
  * New upstream release, lua5.1-rc4

  [ Enrico Tassi ]
  * Fixed linking problem with modules.  Now the command line intepreter
    exports all symbols so that .so modules loaded with require() do not need
    to be linked against the Lua library.  The was causing duplicated Lua
    library code, resulting in wasted space and run-time problems.

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 14 Feb 2006 19:17:16 +0100


