## lua5.1 5.1.5

=== debian/changelog ===
lua5.1 (5.1.5-9) unstable; urgency=medium

  * QA upload
  * Remove retired Uploader Enrico Tassi (Closes: #995553)
  * Move Vcs fields to salsa ULRs

 -- Bastian Germann <bage@debian.org>  Wed, 16 Mar 2022 11:18:23 +0100

lua5.1 (5.1.5-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Export _IO_stdin_used in debian/version-script (see #816059).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Jul 2016 20:57:20 +0200

lua5.1 (5.1.5-8) unstable; urgency=medium

  * Symbols versioning 
  * Acknowledge NMU

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Aug 2015 11:01:41 +0200

lua5.1 (5.1.5-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761773.
  * liblua5.1-0-dev: Recommend libtool-bin.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 09:49:29 +0000

lua5.1 (5.1.5-7) unstable; urgency=medium

  * Patch to fix stack overflow in vararg functions (CVE-2014-5461) 
  * Add symlinks to .pc file in order to ease the life of developers:
    {lua-5.1,lua51} -> lua5.1 (Closes: #498416)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 27 Aug 2014 09:46:39 +0200

lua5.1 (5.1.5-6) unstable; urgency=low

  * Fix .pc file to not spit -L/usr/lib but -L/usr/lib/$DEB_HOST_MULTIARCH
    (Closes: #723483)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 17 Sep 2013 23:44:04 +0200

lua5.1 (5.1.5-5) unstable; urgency=low

  * Packaging moved to git
  * Fix typo in doc (Closes: #676696, thanks Andrey Gursky) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 23 Jul 2012 11:47:20 +0200

lua5.1 (5.1.5-4) unstable; urgency=low

  * Rename lua-deb-multiarch.h into lua5.1-deb-multiarch.h and install it in
    /usr/include/$DEB_HOST_MULTIARCH/ to make it available with no extra
    -I directive (Closes: #682234, #682183, #682299)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Jul 2012 18:43:50 +0200

lua5.1 (5.1.5-3) unstable; urgency=low

  * Install architecture dependent .h file in /usr/lib and fix .pc files
    accordingly to fix multiarch issues (Closes: #676695)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 16 Jul 2012 12:48:01 +0200

lua5.1 (5.1.5-2) unstable; urgency=low

  * Put in the pkg-config .pc file -DDEB_HOST_MULTIARCH so that including
    lua.h (and consequently luaconf.h) works fine even if one is not using
    debhelpers (Closes: #671286, LP: #977813)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 03 May 2012 14:34:16 +0200

lua5.1 (5.1.5-1) unstable; urgency=low

  * New upstream release (Closes: #647518)
  * Bump Standards-Version to 3.9.3 (no changes) 
  * Fix paths of debug symbols setting debian/compat to 9 (Closes: #650104)
  * Build-depend on debhelper >= 9
  * Update debian/copyright yeas to 2012 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2012 17:47:48 +0200
