=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: lua5.1
 Section: interpreters
 Priority: optional
-Maintainer: John V. Belmonte <jbelmonte@debian.org>
-Uploaders: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), quilt (>= 0.40), libtool, libreadline-dev
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua5.1
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua5.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 9), quilt (>= 0.40), libtool, libtool-bin, libreadline-dev
+Standards-Version: 3.9.3
 Homepage: http://www.lua.org
+Vcs-Git: https://salsa.debian.org/lua-team/lua5.1.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua5.1
 
 Package: lua5.1-doc
 Architecture: all
@@ -44,7 +43,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: liblua5.1-0 (= ${binary:Version}), libc6-dev|libc-dev, libreadline-dev, ${misc:Depends}
-Recommends: pkg-config, libtool
+Recommends: pkg-config, libtool, libtool-bin
 Section: libdevel
 Description: Development files for the Lua language version 5.1
  Lua is a powerful, light-weight programming language designed for extending
