=== debian/watch ===
version=3
http://www.lua.org/ftp/lua-(5\.1.*)\.tar\.gz
