## lua5.1 5.1.5-8.1

=== debian/changelog ===
lua5.1 (5.1.5-8.1-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:22:09 +0800
